#!/bin/bash

source ./cappello_batch.sh

source ./.env.prod.pcb

cp .env.prod.pcb .env.production

msg="*** IN PRODUZIONE !!!!!   SEI SICURO DI INVIARE GLI AGGIORNAMENTI SUL SERVER DI PRODUZIONE ?? $SERVERDIR_WEBSITE  (Y/N) ? "

if [ "$1" = "" ]; then
  read -p "$msg" risposta
else
  echo $msg
  risposta=$1
fi


if [[ $risposta == "Y" || $risposta == "y" ]]; then

  npm run buildpwa

  source scripts/send_pwa_to_pcb.sh

  echo "Finito $SERVERDIR_WEBSITE "

fi
